# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v3.2.0
    hooks:
    - id: trailing-whitespace
    - id: end-of-file-fixer
    - id: check-yaml
    - id: check-added-large-files
    - id: check-merge-conflict
    - id: check-json

-   repo: https://github.com/psf/black
    rev: 22.12.0
    hooks:
    - id: black
      language_version: python3
      args:
        - --line-length=120
        - --skip-string-normalization
        - --exclude="""\.git |
          \.__pycache__|
          build"""

-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v1.2.3
    hooks:
    - id: flake8
      language_version: python3
      args:
        - "--max-line-length=120"

-   repo: https://github.com/pycqa/isort
    rev: 5.10.1
    hooks:
      - id: isort
        name: isort (python)
        args:
          - --line-length=120
          - --profile=black

-   repo: https://github.com/igorshubovych/markdownlint-cli
    rev: v0.30.0
    hooks:
    -   id: markdownlint
        args:
          [
            "--disable=MD041",
            "--disable=MD013"
          ]
